<template>
    <div class="dialog-table-container sub-page-inner">
        <div class="sub-table-container" v-if="!options.type">
            <el-table
                ref="dataTable"
                :element-loading-background="loadingColor"
                v-loading="loading"
                height="calc(100% - 60px)"
                highlight-current-row
                current-row-key="id"
                align="center"
                :data="tableData"
                class="dialog_table"
                :cell-style="{'text-align': 'center'}"
                :header-cell-style="{'text-align': 'center'}"
                @current-change="currentChange"
                row-key="id"
            >
                <el-table-column
                    type="index"
                    label="序号"
                    width="80"
                ></el-table-column>
                <el-table-column prop="title" label="标题" min-width="160">
                    <!-- <template v-slot="{row}">
                        <el-link
                            type="primary"
                            @click="getNewsDetail('contentDialog', row)"
                            >{{ row.title }}</el-link
                        >
                    </template> -->
                </el-table-column>
                <el-table-column
                    prop="createOrgName"
                    label="责任单位"
                    width="100"
                >
                </el-table-column>
                <el-table-column prop="drafter" label="撰稿人" width="100">
                </el-table-column>
                <el-table-column
                    prop="createTime"
                    label="创建日期"
                    min-width="140"
                ></el-table-column>
            </el-table>
            <pagenation
                :pageResult="params.pageBean"
                @currentChange="pageChange"
                class="pagenation"
            ></pagenation>
        </div>
        <div class="sub-page-detail" :class="options.type ? 'full-detail' : ''">
            <div class="bg-de">
                <div class="de-con">
                    <div>
                        <img
                            v-for="(item, index) in 2"
                            :key="index"
                            src="@/assets/img/bigScreen/img_wk_zs2@2x.png"
                        />
                    </div>
                    <div class="title">{{ currentRow.title }}</div>
                    <div>
                        <img
                            v-for="(item, index) in 2"
                            :key="index"
                            src="@/assets/img/bigScreen/img_wk_zs2@2x.png"
                        />
                    </div>
                </div>
            </div>
            <div
                class="sub-page--expand"
                :element-loading-background="loadingColor"
                v-loading="loading"
            >
                <div class="content-top">
                    <span>撰稿人：{{ currentRow.drafter }}</span>
                    <span>时间：{{ currentRow.createTime }}</span>
                </div>
                <div
                    :element-loading-background="loadingColor"
                    v-loading="loading"
                    v-html="currentRow.content"
                    class="content-main"
                ></div>
            </div>
            <!-- <el-form label-position="top" class="sub-page--expand">
                <el-row>
                    <el-form-item label="制度名称：">
                        <span> {{ currentRow.resultName }}</span>
                    </el-form-item>
                </el-row>
                <el-row>
                    <el-form-item label="出台区县：">
                        <span> {{ currentRow.unitName }}</span>
                    </el-form-item>
                </el-row>
                <el-row>
                    <el-form-item label="出台日期：">
                        <span> {{ currentRow.resultDate }}</span>
                    </el-form-item>
                </el-row>
                <el-row>
                    <el-form-item label="试点项目：">
                        <span> {{ currentRow.pilotProjectName }}</span>
                    </el-form-item>
                </el-row>
                <el-row>
                    <el-form-item label="试点层级：">
                        <span>{{
                            getDictName('sdcj', currentRow.pilotLevel)
                        }}</span>
                    </el-form-item>
                </el-row>
                <el-row>
                    <el-form-item label="解决问题：">
                        <span>{{ currentRow.solveProblem }}</span>
                    </el-form-item>
                </el-row>
                <el-row>
                    <el-form-item label="运行实效：">
                        <span>{{ currentRow.actualEffect }}</span>
                    </el-form-item>
                </el-row>
                <el-row>
                    <el-form-item label="佐证材料：">
                        <el-row v-if="currentRow.fileList">
                            <el-col
                                :span="8"
                                v-for="(file, index) in currentRow.fileList"
                                :key="index"
                            >
                                <div class="file-style">
                                    <div class="file-item">
                                        <span
                                            class="file-name"
                                            :title="
                                                file.name
                                                    ? file.name
                                                    : file.fileName +
                                                      '.' +
                                                      file.extensionName
                                            "
                                            >{{
                                                file.name
                                                    ? file.name
                                                    : file.fileName +
                                                      '.' +
                                                      file.extensionName
                                            }}</span
                                        >
                                        <span class="file-btn short">
                                            <el-link
                                                type="primary"
                                                :underline="false"
                                                @click="handlePreview(file)"
                                                style="color: #fff"
                                                >预览</el-link
                                            >
                                            <el-link
                                                type="primary"
                                                :underline="false"
                                                style="color: #fff"
                                                @click="
                                                    handleDownloadFile(file)
                                                "
                                                >下载</el-link
                                            >
                                        </span>
                                    </div>
                                </div>
                            </el-col>
                        </el-row>
                    </el-form-item>
                </el-row>
            </el-form> -->
        </div>
    </div>
</template>
<script>
import req from '@/request.js'
import apiList from '@/api/bigScreen/districView.js'
import utils from '@/utils.js'
const portal = window.context.portal
import pagenation from './pagenation.vue'
export default {
    components: {pagenation},
    props: {
        options: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            previewUrl: `${portal}/file/onlinePreviewController/v1/getFileById_`,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            loading: false,
            tableData: [],
            currentRow: {},
            searchData: {},
            params: {
                pageBean: {
                    page: 1,
                    pageSize: 20,
                    total: 0,
                    showTotal: true,
                },
                params: {},
                querys: [
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'n.OPERATE_TYPE_',
                        relation: 'AND',
                        value: '2',
                    },
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'n.EXCELLENT_',
                        relation: 'AND',
                        value: '3',
                    },
                ],
            },
        }
    },
    mounted() {
        if (this.options.type) {
            this.getDataSingle()
        } else {
            this.loadData()
        }

        this.$bus.$on('changeDate', () => {
            if (this.options.type) {
                this.getDataSingle()
            } else {
                this.loadData()
            }
        })
    },
    beforeDestroy() {
        this.$bus.$off('changeDate')
        this.tableData = []
        this.currentRow = {}
    },
    methods: {
        search(data, type) {
            this.params.pageBean.page = 1
            let RESULT_FORM_ = this.params.querys[0]
            this.params.querys = [RESULT_FORM_]
            for (let key in this.searchData) {
                this.params.querys.push({
                    group: 'main',
                    operation: 'LIKE',
                    parentGroup: '',
                    property: key,
                    relation: 'AND',
                    value: this.searchData[key],
                })
            }
            this.loadData()
        },
        currentChange(currentRow) {
            this.getNewsDetail(currentRow)
        },
        getNewsDetail(column) {
            // this.loading = true
            let api = `/fill/bizWorkNews/v1/findById`
            let formData = new FormData()
            formData.append('id', column.id)
            req.post(portal + api, formData)
                .then((res) => {
                    this.currentRow = (res && res.data) || {}
                    // this.loading = false
                })
                .catch(() => {
                    // this.loading = false
                })
        },
        getDictName(code, value) {
            return utils.getDictName(code, value)
        },
        pageChange(key) {
            this.params.pageBean.page = key
            this.loadData()
        },
        expandChange(row, expandedRows) {
            console.log(row, expandedRows)
            if (row.fileList) return
            this.getFiles(row)
        },
        getFiles(row) {
            this.paramsFile.querys[0].value = row.id
            apiList.getFiles(this.paramsFile, (data) => {
                this.currentRow.fileList = data.rows
            })
        },
        handlePreview(file) {
            let id = file.fileId
                ? file.fileId
                : file.id
                ? file.id
                : file.response.fileId
            let type =
                file.fileType ||
                (file.extensionName
                    ? file.extensionName
                    : file.name.split('.')[1])
            this.$refs.filePreview.previewUrl = this.previewUrl + id
            this.$refs.filePreview.open(type)
        },
        // 文件下载
        handleDownloadFile(file) {
            console.log(file)
            let id = file.fileId
                ? file.fileId
                : file.id
                ? file.id
                : file.response.fileId
            window.open(portal + `/file/v1/downloadFile?fileId=${id}`, '_self')
        },
        loadData() {
            this.loading = true
            let searchDate = sessionStorage.getItem('searchDate')
            searchDate = JSON.parse(searchDate)
            this.params.params = {
                year: searchDate.year,
                quarter: searchDate.quarter,
            }
            apiList.getNews(this.params, (res) => {
                if (res && res.rows) {
                    this.tableData = res.rows
                    this.params.pageBean.page = res.page
                    this.params.pageBean.pageSize = res.pageSize
                    this.params.pageBean.total = res.total
                    if (this.tableData.length) {
                        this.currentRow = this.tableData[0]
                        this.$nextTick(() => {
                            if (!this.$refs.dataTable) return
                            this.$refs.dataTable.setCurrentRow(
                                this.$refs.dataTable.data[0]
                            )
                        })
                    } else {
                        this.currentRow = {}
                    }
                }
                this.loading = false
            })
        },
        getDataSingle() {
            let {type} = this.$route.query
            console.log(this.$route.query, 'this.$route.query')
            this.getNewsDetail({id: type})
        },
    },
}
</script>
<style lang="scss" scoped>
.content-top {
    display: flex;
    justify-content: space-between;
    // margin: 0 40px;

    span {
        font-size: 16PX;
        color: #d7f1ff;
        font-family: SimHei;
        color: #499dfc;
    }
}

.content-main {
    color: #d7f1ff;
    line-height: 24px;
    font-family: SimHei;
    margin-top: 20px;

    /deep/ * {
        color: #d7f1ff !important;
        background: transparent !important;
        font-size: 16PX;
        letter-spacing: 2px;
    }

    /deep/ img {
        max-width: 100%;
    }
}
</style>
<style lang="scss">
@import './table.scss';
</style>
